%define major		15
%define libname		%mklibname showmysky-qt6_ %{major}
%define develname	%mklibname showmysky-qt6 -d
%define fname		CalcMySky

Name:		calcmysky
Version:	0.3.4
Release:	%mkrel 2
Summary:	Simulator of light scattering by planetary atmospheres
Group:		Sciences/Astronomy
License:	GPLv3
URL:		https://github.com/10110111/CalcMySky
Source0:	https://github.com/10110111/%{fname}/archive/v%{version}/%{fname}-%{version}.tar.gz

BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(glm)
BuildRequires:	pkgconfig(xkbcommon)

%description
CalcMySky is a software package that simulates scattering of light by
the atmosphere to render daytime and twilight skies (without
stars). Its primary purpose is to enable realistic view of the sky in
applications such as planetaria. Secondary objective is to make it
possible to explore atmospheric effects such as glories, fogbows etc.,
as well as simulate unusual environments such as on Mars or an
exoplanet orbiting a star with a non-solar spectrum of radiation.

%package -n %{libname}
Summary:	Library for simulator of light scattering by planetary atmospheres
Group:		System/Libraries
# Library was renamed
Obsoletes:	%{_lib}calcmysky14 < 0.2.1-2

%description -n %{libname}
CalcMySky is a software package that simulates scattering of light by
the atmosphere to render daytime and twilight skies (without
stars).

This package contains the libraries needed to CalcMySky.

%package -n %{develname}
Summary:	Development files for CalcMySky
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-qt6-devel = %{version}-%{release}
Provides:	showmysky-devel = %{version}-%{release}
Provides:	showmysky-qt6-devel = %{version}-%{release}

Obsoletes:	%{_lib}calcmysky-devel < 0.2.1-2

%description -n %{develname}
This package contains header files needed when building applications
based on %{name}.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

%build
%cmake \
	-DFETCHCONTENT_FULLY_DISCONNECTED:BOOL=yes \
	-DCMAKE_CXX_FLAGS:STRING="%{build_cflags} -fPIC" \
	-DCMAKE_C_FLAGS:STRING="%{build_cxxflags} -fPIC" \
	-DQT_VERSION=6
%cmake_build

%install
%cmake_install

%ifnarch %{ix86}
%check
%ctest
%endif

%files
%doc README.mdown doc/
%license COPYING
%{_bindir}/calcmysky
%{_bindir}/showmysky
%{_datadir}/CalcMySky/

%files -n %{libname}
%doc README.mdown
%license COPYING
%{_libdir}/libShowMySky-Qt6.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/ShowMySky/
%{_libdir}/cmake/ShowMySky-Qt6/
%{_libdir}/libShowMySky-Qt6.so


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.3.4-2.mga10
+ Revision: 2249568
- Mageia 10 Mass Rebuild

* Sun Mar 23 2025 daviddavid <daviddavid> 0.3.4-1.mga10
+ Revision: 2169248
- new version: 0.3.4

* Tue Sep 10 2024 daviddavid <daviddavid> 0.3.3-1.mga10
+ Revision: 2094799
- new version: 0.3.3

* Thu Sep 28 2023 papoteur <papoteur> 0.3.1-1.mga10
+ Revision: 1991751
- new 0.3.1

* Wed Mar 29 2023 daviddavid <daviddavid> 0.3.0-1.mga9
+ Revision: 1950672
- new version: 0.3.0
- now lib major is 15
- remove merged upstream patches

* Mon Mar 27 2023 daviddavid <daviddavid> 0.2.1-4.mga9
+ Revision: 1950480
- backport some upstream master branch updates

* Thu Jan 05 2023 daviddavid <daviddavid> 0.2.1-3.mga9
+ Revision: 1930220
- add upstream patch to fix installation path of CMake config modules (issue#11)

* Wed Jan 04 2023 daviddavid <daviddavid> 0.2.1-2.mga9
+ Revision: 1929900
- split out all Qt6 build dependencies
- rename as it should library and devel sub packages

* Thu Nov 03 2022 ghibo <ghibo> 0.2.1-1.mga9
+ Revision: 1901994
- Update to release 0.2.1.
- Update major to 14.
- Remove patches merged upstream.
- Force -fPIC, needed for stellarium 1.1.
- Avoid fetching/downloading net content during building.
- Autopatch.
- Switch to Qt6.
- More BuildRequires.
- Adjust files list.

* Mon Oct 17 2022 ghibo <ghibo> 0.1.0-3.mga9
+ Revision: 1897415
- Only exclude tests for i586 arch

* Mon Oct 17 2022 ghibo <ghibo> 0.1.0-2.mga9
+ Revision: 1897409
- Bump release for building
- Exclude i586 arch
- imported package calcmysky


* Mon Oct 17 2022 ghibo <ghibo> 0.1.0-1.mga9
- Initial release based on FC.
